#ifndef _SceneGraph_H__
#define _SceneGraph_H__

#include "Containers.h"
#include "AxisAlignedBox3.h"

namespace GtpVisibilityPreprocessor {
  
  /** Basic scene graph node, we are interested only in bounding boxes and topology
      of the scene graph */
  class SceneGraphNode {
  public:
    
    
  protected:
    MeshContainer mGeometry;
    NodeContainer mChildren;
    AxisAlignedBox3 mBox;
  };
  

  /** Scene graph class */
  class SceneGraph {
    
  protected:
    SceneGraphNode *mRoot;
  };
  

};


#endif
